--- old/usr/src/cmd/fs.d/reparsed/reparsed.c	Thu Jan 24 09:54:37 2019
+++ new/usr/src/cmd/fs.d/reparsed/reparsed.c	Thu Jan 24 09:54:37 2019
@@ -24,6 +24,10 @@
  */
 
 /*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
+/*
  * Reparsed daemon
  */
 
@@ -191,10 +195,11 @@
 	memset(&rpd_res, 0, sizeof (reparsed_door_res_t));
 	rpd_res.res_status = error;
 	rpd_res.res_len = buflen;
-	door_return((char *)&rpd_res, sizeof (reparsed_door_res_t), NULL, 0);
+	(void) door_return((char *)&rpd_res,
+	    sizeof (reparsed_door_res_t), NULL, 0);
 
 	(void) door_return(NULL, 0, NULL, 0);
-	/* NOTREACHED */
+	abort();
 }
 
 /*
--- old/usr/src/cmd/fs.d/smbclnt/chacl/chacl.c	Thu Jan 24 09:54:37 2019
+++ new/usr/src/cmd/fs.d/smbclnt/chacl/chacl.c	Thu Jan 24 09:54:37 2019
@@ -25,6 +25,10 @@
  */
 
 /*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
+/*
  * This is the smbfs/chacl command.
  * (just for testing - not installed)
  *
@@ -138,9 +142,8 @@
 	/*
 	 * Which parts of the SD are being modified?
 	 */
-	selector = 0;
-	if (acl)
-		selector |= DACL_SECURITY_INFORMATION;
+	selector = DACL_SECURITY_INFORMATION;
+
 	if (uid != (uid_t)-1)
 		selector |= OWNER_SECURITY_INFORMATION;
 	if (gid != (gid_t)-1)
--- old/usr/src/cmd/fs.d/smbclnt/umount/umount.c	Thu Jan 24 09:54:37 2019
+++ new/usr/src/cmd/fs.d/smbclnt/umount/umount.c	Thu Jan 24 09:54:37 2019
@@ -24,6 +24,10 @@
  */
 
 /*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
+/*
  * smbfs umount
  */
 
@@ -179,6 +183,6 @@
 		}
 	}
 
-	fclose(fp);
+	(void) fclose(fp);
 	return (res);
 }
--- old/usr/src/cmd/fs.d/ufs/mkfs/mkfs.c	Thu Jan 24 09:54:38 2019
+++ new/usr/src/cmd/fs.d/ufs/mkfs/mkfs.c	Thu Jan 24 09:54:38 2019
@@ -37,6 +37,10 @@
  */
 
 /*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
+/*
  * The maximum supported file system size (in sectors) is the
  * number of frags that can be represented in an int32_t field
  * (INT_MAX) times the maximum number of sectors per frag.  Since
@@ -235,6 +239,7 @@
 #include	<sys/int_const.h>
 #include	<signal.h>
 #include	<sys/efi_partition.h>
+#include	<fslib.h>
 #include	"roll_log.h"
 
 #define	bcopy(f, t, n)    (void) memcpy(t, f, n)
